apiVersion: batch/v1
kind: Job
metadata:
  name: update-node-exporter
spec:
  backoffLimit: 0
  ttlSecondsAfterFinished: 10
  template:
    spec:
      securityContext:
        fsGroup: 12021
      restartPolicy: Never
      containers:
        - name: update
          image: renovate
          command:
            - bash
          args:
            - /job-config/update.sh
          volumeMounts:
            - mountPath: /job-config/
              name: config
            - mountPath: /home/ubuntu/.ssh/config
              name: config
              subPath: config
            - mountPath: /home/ubuntu/.ssh/id
              name: ssh-key
              subPath: id
      volumes:
        - name: config
          configMap:
            name: node-exporter-update
            defaultMode: 0700
        - name: ssh-key
          secret:
            secretName: node-exporter-ssh-key
            defaultMode: 0600